niscat(1)

NAME
niscat - dump NIS+ tables and objects

SYNOPSIS
niscat [ -AhLMv ] [ -s sep ] tablename...

niscat [ -ALMP ] -o name...

DESCRIPTION
niscat displays the contents of the NIS+ tables named by tablename or shows the internal representation of the NIS+ objects named by name.

OPTIONS

-A  This option enables the use of the ALL_RESULTS flag when performing lookups. This will cause all tables specified in tablename's concatenation path to be searched and/or dumped.

-L  Follow links. When this option is specified, if tablename or name names a LINK type object, the link is followed and the object or table named by the link is displayed.

-M  Master server only. This option specifies that the request should be sent to the master server of the named data.

-P  Follow concatenation path. This option specifies that the request should follow the concatenation path of a table if the initial search is unsuccessful. This option is only useful when using an indexed name for name and the -o option.

-h  Print in the first line the names of the columns, the line begins with a `#'. The column names are separated by the table separator.

-o  Display the internal representation of the named NIS+ object(s). If name is an indexed name then each of the matching entry objects is displayed. This option is useful for checking access rights and other attributes of individual columns.

-s sep
    This option specifies the character to use to separate the table columns. If no character is specified, the default separator for the table is used.

-v  Display binary data directly. Without this option binary data is displayed as the string *BINARY*

EXIT CODES

niscat returns 0 on success and 1 on failure.

SEE ALSO
nismatch(1), nistbladm(1), nisdefaults(1)

AUTHOR
This version of the niscat command was written by Thorsten Kukuk <kukuk@vt.uni-paderborn.de>.